TypeDefinitionStreamImpl.StreamValue (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.meta.impl

## Class TypeDefinitionStreamImpl.StreamValue

- java.lang.Object
- - tv.amwa.maj.meta.impl.TypeDefinitionImpl.PropertyValueImpl
  - - tv.amwa.maj.meta.impl.TypeDefinitionStreamImpl.StreamValue

- All Implemented Interfaces:
    PropertyValue
  Enclosing class:
    TypeDefinitionStreamImpl

      public static class TypeDefinitionStreamImpl.StreamValue
      extends TypeDefinitionImpl.PropertyValueImpl
      implements PropertyValue

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ByteOrder` | `getByteOrder()`
    `TypeDefinitionImpl` | `getType()` Returns the type definition for this property value.
    `Stream` | `getValue()` Returns the value of the property through a generic Java object interface.
    `boolean` | `isDefinedType()`

    - ### Methods inherited from class tv.amwa.maj.meta.impl.TypeDefinitionImpl.PropertyValueImpl

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface tv.amwa.maj.industry.PropertyValue

      `equals, hashCode, toString`

- - ### Method Detail

    - #### getType

          public TypeDefinitionImpl getType()

      Description copied from interface: `PropertyValue`

      Returns the type definition for this property value.

      Methods of the returned type definition can be used to manipulate a property value. For example, for a value of AAF `UInt32` type, the following methods are available on `TypeDefinitionInteger`:

      - `Number getInteger(PropertyValue)`
      - `PropertyValue createValueFromNumber(Number)`
      - `void setInteger(PropertyValue, Number)`
      Specified by:
        `getType` in interface `PropertyValue`
      Returns:
        Type of this property value.
      See Also:
        `PropertyDefinition.getTypeDefinition()`, `TypeDefinitions.TypeDefinitionWeakReference`

    - #### getValue

          public Stream getValue()

      Description copied from interface: `PropertyValue`

      Returns the value of the property through a generic Java object interface. Alternative type-specific access methods are provided in each type definition.

      For example, for a property value of a `UInt32` type, this method returns an `Integer`. Values will need to be cast to appropriate types by the application. The value returned may be `null`, which may indicate that an optional property was not present.

      Specified by:
        `getValue` in interface `PropertyValue`
      Returns:
        Value of this property.
      See Also:
        `TypeDefinition.createValue(Object)`

    - #### isDefinedType

          public boolean isDefinedType()

    - #### getByteOrder

          public ByteOrder getByteOrder()

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.